Bug 804353 - intel-ips: IRQ handler type mismatch for IRQ 0
intel-ips: IRQ handler type mismatch for IRQ 0
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:d5aa22569d1e61b1eb6309dd033...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-17 23:20 EDT by Victor Costan
Modified: 2012-04-11 22:01 EDT (History)
5 users (show)

See Also:
Fixed In Version: kernel-3.3.0-5.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-31 20:26:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
don't bind the IPS driver if no irq is assigned (518 bytes, patch)
2012-03-20 16:31 EDT, Jesse Barnes
no flags Details | Diff

  None (edit)
Description Victor Costan 2012-03-17 23:20:44 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        root=UUID=bd51861b-051b-4e50-90f7-986ff9d5ab1a rd.md=0 rd.lvm=0 rd.dm=0  KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 ro LANG=en_US.UTF-8
kernel:         3.3.0-0.rc4.git1.4.fc17.x86_64
reason:         IRQ handler type mismatch for IRQ 0
time:           Sat 17 Mar 2012 01:51:28 EDT

backtrace:
:IRQ handler type mismatch for IRQ 0
:current handler: timer
:Pid: 381, comm: udevd Not tainted 3.3.0-0.rc4.git1.4.fc17.x86_64 #1
:Call Trace:
: [<ffffffff8110daba>] __setup_irq+0x65a/0x690
: [<ffffffffa02df540>] ? show_cpu_temp+0x50/0x50 [intel_ips]
: [<ffffffff8110dbea>] request_threaded_irq+0xfa/0x1b0
: [<ffffffffa02e0245>] ips_probe+0x425/0x750 [intel_ips]
: [<ffffffff8134ae2c>] local_pci_probe+0x5c/0xd0
: [<ffffffff8134afb1>] pci_device_probe+0x111/0x120
: [<ffffffff814122e6>] driver_probe_device+0x96/0x2f0
: [<ffffffff814125eb>] __driver_attach+0xab/0xb0
: [<ffffffff81412540>] ? driver_probe_device+0x2f0/0x2f0
: [<ffffffff814104e5>] bus_for_each_dev+0x55/0x90
: [<ffffffffa02e5000>] ? 0xffffffffa02e4fff
: [<ffffffff81411dce>] driver_attach+0x1e/0x20
: [<ffffffff81411ad8>] bus_add_driver+0x1b8/0x2b0
: [<ffffffffa02e5000>] ? 0xffffffffa02e4fff
: [<ffffffff81412dc7>] driver_register+0x77/0x160
: [<ffffffffa02e5000>] ? 0xffffffffa02e4fff
: [<ffffffff81349c03>] __pci_register_driver+0x73/0xf0
: [<ffffffffa02e5000>] ? 0xffffffffa02e4fff
: [<ffffffffa02e501e>] ips_init+0x1e/0x1000 [intel_ips]
: [<ffffffff8100212a>] do_one_initcall+0x12a/0x180
: [<ffffffff810db166>] sys_init_module+0x1146/0x2260
: [<ffffffff816a74a9>] system_call_fastpath+0x16/0x1b

smolt_data:
:
:
:General
:=================================
:UUID: 0547134f-5181-4e97-9ba9-4912b535afad
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 5320.01
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7 CPU       M 620  @ 2.67GHz
:CPU Stepping: 5
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2661
:System Memory: 7886
:System Swap: 16383
:Vendor: Apple Inc.
:System: MacBookPro6,2 1.0
:Form factor: Notebook
:Kernel: 3.3.0-0.rc7.git0.3.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11362:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:0:0) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:69:32902:0) pci, pcieport, PCI/PCI, Core Processor PCI Express x16 Root Port
:(32902:11536:32902:32902) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:32902:32902) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(4545:22785:4545:22784) pci, firewire_ohci, FIREWIRE, FW643 PCI Express1394b Controller (PHY/Link)
:(32902:11539:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:32902:29296) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15145:32902:29296) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 4 port SATA AHCI Controller
:(32902:15113:32902:29296) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:32902:0) pci, None, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:15174:32902:29296) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 3
:(5348:5764:5348:5764) pci, tg3, ETHERNET, NetXtreme BCM5764M Gigabit Ethernet PCIe
:(32902:15163:32902:29296) pci, None, USB, 5 Series/3400 Series Chipset USB Universal Host Controller
:(32902:9288:32902:29296) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15156:32902:29296) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15164:32902:29296) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(5348:17235:4203:147) pci, bcma-pci-bridge, NETWORK, BCM43224 802.11a/b/g/n
:(32902:70:0:0) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15176:32902:29296) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 4
:(32902:15170:32902:29296) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:32902:29296) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15190:32902:29296) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15158:32902:29296) pci, None, USB, 5 Series/3400 Series Chipset USB Universal Host Controller
:(4318:3042:0:0) pci, snd_hda_intel, MULTIMEDIA, High Definition Audio Controller
:(4318:2601:4203:199) pci, nouveau, VIDEO, GT216 [GeForce GT 330M]
:(32902:11538:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda7 / ext4 4096 4096 47197878 31218583 30746308 11812864 11319362 11319362
:/dev/sda1 WITHHELD vfat 4096 4096 51145 51051 51051 0 0 0
:
Comment 1 Jesse Barnes 2012-03-20 16:31:20 EDT
Created attachment 571517 [details]
don't bind the IPS driver if no irq is assigned

Does this help?
Comment 2 Fedora Update System 2012-03-26 09:40:46 EDT
kernel-3.3.0-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kernel-3.3.0-5.fc17
Comment 3 Fedora Update System 2012-03-28 01:54:48 EDT
Package kernel-3.3.0-5.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.3.0-5.fc17'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4761/kernel-3.3.0-5.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-03-29 19:08:57 EDT
kernel-3.3.0-8.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.3.0-8.fc16
Comment 5 Fedora Update System 2012-03-31 20:26:57 EDT
kernel-3.3.0-8.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-04-11 22:01:33 EDT
kernel-3.3.0-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.